=== messagelist/src/pics/CMakeLists.txt ===
file(GLOB icons "*.png")
install(FILES ${icons} DESTINATION "${KDE_INSTALL_DATADIR}/messagelist/pics" )
